| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Attributes | List of all members
Ogre::_ConfigOption Struct Reference
Core » General

Packages the details of a configuration option. More...

`#include <OgreConfigOptionMap.h>`

## Public Attributes
String | currentValue
bool | immutable
String | name
StringVector | possibleValues

## Detailed Description

Packages the details of a configuration option.

Remarks
  Used for RenderSystem::getConfigOptions. If immutable is true, this option must be disabled for modifying.

## Member Data Documentation

## ◆ name

String Ogre::_ConfigOption::name

## ◆ currentValue

String Ogre::_ConfigOption::currentValue

## ◆ possibleValues

StringVector Ogre::_ConfigOption::possibleValues

## ◆ immutable

bool Ogre::_ConfigOption::immutable

The documentation for this struct was generated from the following file:

- OgreConfigOptionMap.h